%global commit0 bfe2ad3621a13b07b170df4cffe0e657f6d7a720
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishname varnish
%global varnishver 5.2.0
%global vabi 6.1
%global vabistrict 4c4875cbf
#global vplus  -plus

Name: vmod-memcached
Summary: Varnish module to access memcached servers from VCL
Version: 1.0.1
Release: 0.4.20170823git%{?shortcommit0}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-memcached
Source0: https://download.varnish-software.com/lib%{name}/lib%{name}-%{version}.tar.gz
buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Built a tarball like this
# git clone https://github.com/varnish/libvmod-memcached.git
# cd libvmod-memcached
# git checkout bfe2ad3
# sed -i 's/1\.0.\0/1.0.1/g;' configure.ac
# touch src/tests/runner
# ./autogen.sh && ./configure && make dist

requires: %varnishname = %varnishver
requires: varnishabi-%vabi
requires: varnishabi-strict-%vabistrict

buildrequires: make
buildrequires: gcc
buildrequires: pkgconfig
#buildrequires: python-docutils
buildrequires: memcached
buildrequires: libmemcached-devel
buildrequires: varnish = %varnishver
#buildrequires: varnish%{?vplus}-libs-devel = %varnishver
buildrequires: varnish%{?vplus}-devel = %varnishver
buildrequires: cyrus-sasl-devel
buildrequires: lsof
%if 0%{?el5}
BuildRequires: python26
%endif

%description
Varnish module to access memcached servers from VCL

%prep
%setup -q -n lib%{name}-%{version}

%build
export RST2MAN=/bin/true
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%endif
%doc LICENSE README.rst COPYING
#doc CHANGES.rst
%{_mandir}/man3/*.3*

%changelog
* Wed Oct 25 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.4
- Rebuilt against varnish-plus-4.1.8r1

* Wed Aug 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.2.20170113git1293b0f
- Rebuild latest checkout against varnish-4.1.8

* Fri Jan 13 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.20170113gitb2693e3
- Rebuild latest checkout against varnish-plus-4.1.4

* Wed Dec 07 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-2
- Rebuild for varnish-4.1.1

* Tue Sep 13 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-1
- Wrap for fedora/epel/copr

